<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace FiloBlu\Newsletter\Model\Import\Subscriber;

interface RowValidatorInterface extends \Magento\Framework\Validator\ValidatorInterface
{
    const ERROR_INVALID_STORE = 'invalidStoreCode';
    const ERROR_STORE_CODE_IS_EMPTY = 'storeCodeEmpty';
 
    const ERROR_INVALID_EMAIL = 'invalidEmail';
    const ERROR_EMAIL_IS_EMPTY = 'emailEmpty';
    
    const ERROR_INVALID_STATUS = 'invalidStatus: must be 1 = Subscribed / 3 = Unsubscribed';
    const ERROR_STATUS_IS_EMPTY = 'statusEmpty';

    /**
     * Initialize validator
     *
     * @param \Magento\CatalogImportExport\Model\Import\Product $context
     * @return $this
     */
    public function init($context);
}
